Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class SimpleLogEntry

    java.lang.Object
      com.atlassian.bamboo.build.SimpleLogEntry

All Implemented Interfaces:
  LogEntry

Direct Known Subclasses:
  BuildOutputLogEntry, CommandLogEntry, ErrorLogEntry

    public class SimpleLogEntry

extends Object
implements LogEntry

Simple POJO for representing build build events.

Constructor Summary
`SimpleLogEntry(String log)`
`SimpleLogEntry(String log, Date time)`

Method Summary
`String` | `getCssStyle()`
`String` | `getFormattedDate()`
`String` | `getLog()`
`String` | `getUnstyledLog()`
`void` | `setHtmlUtils(HtmlUtils htmlUtils)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleLogEntry

    public SimpleLogEntry(String log)

### SimpleLogEntry

    public SimpleLogEntry(String log,
                          Date time)

Method Detail

### getFormattedDate

    public String getFormattedDate()

  Specified by:
    `getFormattedDate` in interface `LogEntry`

### getLog

    public String getLog()

  Specified by:
    `getLog` in interface `LogEntry`

### getCssStyle

    public String getCssStyle()

  Specified by:
    `getCssStyle` in interface `LogEntry`

### getUnstyledLog

    public String getUnstyledLog()

  Specified by:
    `getUnstyledLog` in interface `LogEntry`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setHtmlUtils

    public void setHtmlUtils(HtmlUtils htmlUtils)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.